package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpSupplierDeliverDTO{
   @ApiModelProperty("id")
   private Long id;
   @ApiModelProperty("送货人id")
   private Long deliveryId;
   @ApiModelProperty("送货人名称")
   private String deliveryMan;
   @ApiModelProperty("送货人电话")
   private String deliveryPhone;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("模糊查询:送货人姓名或电话")
   private String keyword;




   public Long getId() {
      return this.id;
   }

   public Long getDeliveryId() {
      return this.deliveryId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeliveryId(final Long deliveryId) {
      this.deliveryId = deliveryId;
   }

   public void setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
   }

   public void setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setKeyword(final String keyword) {
      this.keyword = keyword;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierDeliverDTO(id=" + var10000 + ", deliveryId=" + this.getDeliveryId() + ", deliveryMan=" + this.getDeliveryMan() + ", deliveryPhone=" + this.getDeliveryPhone() + ", supplierId=" + this.getSupplierId() + ", keyword=" + this.getKeyword() + ")";
   }
}
